import { Repository } from "../core/repository";
import type { AuxiliaryCexList, AuxiliaryCexListing, AuxiliaryCexMarketPairs, AuxiliaryCexMetadata, AuxiliaryCexQuotes, CexCategory, CexCategoryMarketPairs, CexId, CexListFilter, CexListingSort, CexListingType, CexListSort, CexMarketPairsFeeType, CexMatched } from "../types/cex.option";
import type { Convert, Interval, ListingStatus, SortDir } from "../types/common.type";
import type { CexAssetsResponse, CexIdMapResponse, CexIdMapResponses, CexListingLatestResponse, CexMarketPairQuote, CexMarketPairsResponse, CexMarketQuote, CexMetadataResponse, CexQuotesHistoricalQuote, CexQuotesHistoricalResponse, CexQuotesLatestResponse, CexQuotesValue } from "../responses/cex.response";
export declare class CexRepository extends Repository {
    private endpoints;
    list<TResponse = CexIdMapResponse | CexIdMapResponses>(status?: ListingStatus, filter?: CexListFilter, limit?: number, offset?: number, sort?: CexListSort, aux?: AuxiliaryCexList): Promise<TResponse>;
    metadata<TKey extends string = string, TResponse = CexMetadataResponse<TKey>>(id: CexId, aux?: AuxiliaryCexMetadata): Promise<TResponse>;
    assets<TKey extends string = string, TResponse = CexAssetsResponse<TKey>>(id: number): Promise<TResponse>;
    listing<TQuoteKey extends string = "USD", TQuoteValue extends object = CexMarketQuote, TResponse = CexListingLatestResponse<TQuoteKey, TQuoteValue>>(limit?: number, offset?: number, category?: CexCategory, marketType?: CexListingType, sort?: CexListingSort, sortDir?: SortDir, convert?: Convert, aux?: AuxiliaryCexListing): Promise<TResponse>;
    marketPairs<TKey extends string = string, TQuoteKey extends string = "USD", TQuoteValue extends object = CexMarketPairQuote, TResponse = CexMarketPairsResponse<TKey, TQuoteKey, TQuoteValue>>(id: CexId, limit?: number, offset?: number, matched?: CexMatched, category?: CexCategoryMarketPairs, feeType?: CexMarketPairsFeeType, convert?: Convert, aux?: AuxiliaryCexMarketPairs): Promise<TResponse>;
    quotes<TKey extends string = string, TQuoteKey extends string = "USD", TQuoteValue extends object = CexQuotesValue, TResponse = CexQuotesLatestResponse<TKey, TQuoteKey, TQuoteValue>>(id: CexId, convert?: Convert, aux?: AuxiliaryCexQuotes): Promise<TResponse>;
    quotesHistory<TKey extends string = string, TQuoteKey extends string = "USD", TQuoteValue extends object = CexQuotesHistoricalQuote, TResponse = CexQuotesHistoricalResponse<TKey, TQuoteKey, TQuoteValue>>(id: CexId, timeStart?: Date, timeEnd?: Date, count?: number, interval?: Interval, convert?: Convert): Promise<TResponse>;
}
