export type CexId = {
    id: string | number | (string | number)[];
    slug?: never;
} | {
    id?: never;
    slug: string | number | (string | number)[];
};
export type CexCategory = "all" | "spot" | "derivatives" | "dex" | "lending";
export type CexCategoryMarketPairs = "all" | "spot" | "derivatives" | "otc" | "futures" | "perpetual";
export type CexMatched = {
    id: number | number[];
    symbol?: never;
} | {
    id?: never;
    symbol: string | string[];
};
export type AuxiliaryCexList = "first_historical_data" | "last_historical_data" | "is_active" | "status" | ("first_historical_data" | "last_historical_data" | "is_active" | "status")[];
export type CexListFilter = {
    cexSlug: string | string[];
    cryptoId?: never;
} | {
    cexSlug?: never;
    cryptoId: number;
};
export type CexListSort = "volume_24h" | "id";
export type AuxiliaryCexMetadata = "urls" | "logo" | "description" | "date_launched" | "notice" | "status" | ("urls" | "logo" | "description" | "date_launched" | "notice" | "status")[];
export type CexListingType = "fees" | "no_fees" | "all";
export type CexListingSort = "name" | "volume_24h" | "volume_24h_adjusted" | "exchange_score";
export type AuxiliaryCexListing = "num_market_pairs" | "traffic_score" | "rank" | "exchange_score" | "effective_liquidity_24h" | "date_launched" | "fiats" | ("num_market_pairs" | "traffic_score" | "rank" | "exchange_score" | "effective_liquidity_24h" | "date_launched" | "fiats")[];
export type AuxiliaryCexMarketPairs = "num_market_pairs" | "category" | "fee_type" | "market_url" | "currency_name" | "currency_slug" | "price_quote" | "effective_liquidity" | "market_score" | "market_reputation" | ("num_market_pairs" | "category" | "fee_type" | "market_url" | "currency_name" | "currency_slug" | "price_quote" | "effective_liquidity" | "market_score" | "market_reputation")[];
export type CexMarketPairsFeeType = "all" | "percentage" | "no-fees" | "transactional-mining" | "unknown";
export type AuxiliaryCexQuotes = "num_market_pairs" | "traffic_score" | "rank" | "exchange_score" | "liquidity_score" | "effective_liquidity_24h" | ("num_market_pairs" | "traffic_score" | "rank" | "exchange_score" | "liquidity_score" | "effective_liquidity_24h")[];
